<?xml version='1.0' encoding='UTF-8'?>
<rougail version="0.10">
  <services>
    <service name='nginx'>
      <override engine="cheetah"/>
      <file source="nginx-options-rp.conf">/etc/nginx/conf.d/options-rp.conf</file>
      <file source="revprox-nginx.conf">/etc/nginx/sites-enabled/risotto.conf</file>
      <file source="certificate.crt" file_type="variable" mode="600" variable="nginx.revprox_domainnames">nginx.nginx_certificate_filename</file>
      <file source="private.key" file_type="variable" mode="600" variable="nginx.revprox_domainnames">nginx.nginx_private_key_filename</file>
      <file>/tests/reverse-proxy.yml</file>
    </service>
  </services>
  <variables>
    <family name="network">
      <variable name="incoming_ports" redefine="True">
        <value>80</value>
        <value>443</value>
      </variable>
    </family>
    <family name="nginx" description="NGINX" help="Paramétrage global de NGINX">
      <variable name="nginx_default" redefine="True" mandatory="True"/>
      <variable name="nginx_default_http" redefine="True">
        <value>True</value>
      </variable>
      <variable name="nginx_default_https" redefine="True">
        <value>True</value>
      </variable>
    </family>
  </variables>
</rougail>
